DependencyConfiguration (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven.aether.config

## [Groovy] Class DependencyConfiguration

- org.codehaus.groovy.grails.resolve.maven.aether.config.DependencyConfiguration

- Used to configure an individual dependency

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `WILD_CARD` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.eclipse.aether.graph.Dependency` | `dependency`
    `boolean` | `exported`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DependencyConfiguration (org.eclipse.aether.graph.Dependency dependency)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `exclude(java.util.Map<java.lang.String, java.lang.String> exc)`
    `void` | `exclude(java.lang.String name)`
    `void` | `exclude(org.eclipse.aether.graph.Exclusion exclusion)`
    `void` | `excludes(java.lang.Object... excludes)`
    `protected java.util.List<org.eclipse.aether.graph.Exclusion>` | `getExclusionList()`
    `boolean` | `getTransitive()`
    `void` | `propertyMissing(java.lang.String name, java.lang.Object value)`
    `void` | `setChanging(boolean b)`
    `void` | `setExport(boolean e)`
    `void` | `setOtional(boolean b)`
    `void` | `setScope(java.lang.String s)`
    `void` | `setTransitive(boolean transitive)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String WILD_CARD

  - ### Property Detail

    - #### @groovy.lang.Delegate org.eclipse.aether.graph.Dependency dependency

    - #### boolean exported

  - ### Constructor Detail

    - #### DependencyConfiguration(org.eclipse.aether.graph.Dependency dependency)

  - ### Method Detail

    - #### void exclude(java.util.Map<java.lang.String, java.lang.String> exc)

    - #### void exclude(java.lang.String name)

    - #### void exclude(org.eclipse.aether.graph.Exclusion exclusion)

    - #### void excludes(java.lang.Object... excludes)

    - #### protected java.util.List<org.eclipse.aether.graph.Exclusion> getExclusionList()

    - #### boolean getTransitive()

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) void propertyMissing(java.lang.String name, java.lang.Object value)

    - #### void setChanging(boolean b)

    - #### void setExport(boolean e)

    - #### void setOtional(boolean b)

    - #### void setScope(java.lang.String s)

    - #### void setTransitive(boolean transitive)